Intelligence
Check spec
Validate a VidLang spec against enabled rules. Rules are off by default — caller must enable at least one. Daily limit: 100/day (resets 00:00 UTC).
POST
/
v1
/
check
Check spec
curl --request POST \
--url https://api.vidjutsu.ai/v1/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spec": {},
"rules": {}
}
'import requests
url = "https://api.vidjutsu.ai/v1/check"
payload = {
"spec": {},
"rules": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({spec: {}, rules: {}})
};
fetch('https://api.vidjutsu.ai/v1/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"passed": true,
"results": [
{
"rule": "<string>",
"passed": true,
"message": "<string>",
"severity": "<string>",
"location": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"setup": "<string>"
}{
"error": "<string>",
"message": "<string>",
"setup": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Check spec
